import express from 'express';
const router = express.Router();
import auth from '../middleware/auth.js';
import { createProperty, getUserProperties, getPropertyById, updatePropertyById, getProperties} from '../controllers/property.js';

router.post('/', auth, createProperty);
router.get('/user/:userId', getUserProperties);
router.get('/:propertyId', getPropertyById);
router.put("/:id", updatePropertyById);
router.get('/', getProperties);

export default router;
